Trip Detail

This method involves a POST request to retrieve detailed information about trips provided by Klikoo’s B2B.



A. Request Header

FieldFormatMandatoryLengthExample
Content-TypestringYapplication/json
Open-Api-Timestampyyyy-mm-dd'T'hh:mm:ss+07:00Y2024-02-07T10:28:35.000+07:0
Open-Api-SignatureDigital SignatureY88vNMoAmiDRV+paVyD5FaidgI5k
Ry2pCo8oEoQN/GBpIPuO3eicY
63b7xY0WDffScvkOZsZ1442ewa
bI7Wzd22pw==

B. Request Body

FieldTypeDescriptionRequiredExample
product_codestringUnique identifier for the producttrue"BUS"
trip_idintThe ID of the triptrue188328

C. Sample Request

{
    "product_code": "BUS",
    "trip_id": 188328
}

D. Response Body

FieldTypeDescriptionExample
response_codestringContains the OpenAPI response code“200052000”
response_messagestringContains the value of OpenAPI response message“Sukses”
data objectThe object containing trip detail info
idintTThe ID of the trip188328
available_seatintThe number of available seats for the trip3
boarding_point_nameintThe name of the boarding point"Medan Amplas"
drop_point_nameintThe name of the drop point"Jl. Selaparang"
travel_namestringThe name of the travel company"RB TEST (Do not Book)"
vehicle_typestringThe type of vehicle used for the trip"BUS"
bus_typestringThe type of bus used for the trip"Executive"
depart_timestringThe departure time of the trip"2024-05-01T04:45:00+07:00"
arrival_timestringThe arrival time of the trip"2024-05-01T14:35:00+07:00"
lower_priceintThe lowest price for the trip6500
high_priceintThe highest price for the trip7000
mandatory_fieldsarray of objectsAn array of mandatory fields for booking"PHONE",
"EMAILID",
"NAME"
seatsarray of objectsAn array of objects representing the available seats
namestringThe name or number of the seat“19”
columnstringThe column position of the seat3
rowinthe row position of the seat4
lengthstringThe length of the seat1
widthstringThe width of the seat1
base_pricestringThe base price for the trip6500
pricestringThe price for the trip6500
is_availablestringIndicates if the seat is availabletrue
is_ladies_seatarray of objectsIndicates if the seat is a ladies seattrue
typestringThe type of seat"SEATER"

E. Sample Response


{
    "response_code": "200052000",
    "response_message": "Sukses",
    "data": {
        "id": 188328,
        "available_seat": 3,
        "boarding_point_name": "Medan Amplas",
        "drop_point_name": "Jl. Selaparang",
        "travel_name": "RB TEST (Do not Book)",
        "vehicle_type": "BUS",
        "bus_type": "Executive",
        "depart_time": "2024-05-01T04:45:00+07:00",
        "arrival_time": "2024-05-01T14:35:00+07:00",
        "lower_price": 6500,
        "high_price": 7000,
        "mandatory_fields": [
            "PHONE",
            "EMAILID",
            "NAME"
        ],
        "seats": [
           {
                "name": "19",
                "column": 3,
                "row": 4,
                "length": 1,
                "width": 1,
                "base_price": 6500,
                "price": 6500,
                "is_available": true,
                "is_ladies_seat": true,
                "type": "SEATER"       
            }
        ]
    }
}

Try It Here (Form)

To try the following endpoint, enter the example request data you want to use in the following form


Body Params
string
string
Headers
date-time
string
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json